List market chat messages
curl --request GET \
--url https://build.vibechain.com/vibe/boosterbox/chat-messages \
--header 'API-KEY: <api-key>'import requests
url = "https://build.vibechain.com/vibe/boosterbox/chat-messages"
headers = {"API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'API-KEY': '<api-key>'}};
fetch('https://build.vibechain.com/vibe/boosterbox/chat-messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"messages": [
{
"id": "<string>",
"messageType": "system",
"createdAt": "2023-11-07T05:31:56Z",
"_id": "<string>",
"contractAddress": "0x1111111111111111111111111111111111111111",
"chainId": 123,
"message": "<string>",
"ownerAddress": "0x1111111111111111111111111111111111111111",
"tokenId": 123,
"rarity": 2,
"transactionHash": "0xaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
"user": {
"id": "<string>",
"username": "<string>",
"displayName": "<string>",
"profileImage": "<string>",
"address": "0x1111111111111111111111111111111111111111"
},
"reactions": [
{
"emoji": "<string>",
"count": 1,
"reactedByCurrentUser": true
}
]
}
],
"hasMore": true,
"pagination": {
"limit": 123,
"nextCursor": "<string>"
},
"nextCursor": "2023-11-07T05:31:56Z"
}{
"success": false,
"message": "Invalid contract address"
}{
"success": false,
"message": "Too many requests or invalid API key! See docs.vibechain.com for more info."
}{
"success": false,
"message": "Failed to complete request"
}Social
List market chat messages
Cursor-paginated chat and system activity. Responses are cached for about 60 seconds with shorter shared-cache headers.
GET
/
chat-messages
List market chat messages
Authorizations
Caller-specific VibeChain API key used for quota and abuse control.
Headers
Set to true to keep original recognized CDN URLs instead of vibe.market Classic proxy URLs. Cache this response variant separately.
Query Parameters
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0x1111111111111111111111111111111111111111"
Required range:
1 <= x <= 200ISO timestamp returned by the preceding page.
EVM chain ID. Defaults to Base mainnet.
Required range:
x >= 1Available options:
system, user, rarity_assigned, bought_100_packs, bought_400_packs, all Minimum rarity code for rarity activity messages.
Required range:
0 <= x <= 5